QGIS Application - Bug report #16042

In standalone python script from qgis._core import ** produces ImportError: DLL load failed: The
specified module could not be found

2017-01-05 08:16 AM - Raphael Dumas

Status: Closed

Priority: Normal

Assignee:

Category: Python plugins

Affected QGIS version:2.14.9 Regression?: No
Operating System: Windows 7 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupitsdata: Copied to github as #: 23957
Description

In Windows 7 x64 SP1 using Python 2.7 x64, | installed QGIS 2.14.9 from the standalone x64 installer. | was trying to set up a python
virtual environment to develop standalone app (http:/gis.stackexchange.com/a/223325/36886). | added the following paths to a .pth file in

the environment's site-packages:

C:\\Program Files\\QGIS Essen\\apps\\qgis-ltr\\python

C:\\Program Files\\QGIS Essen\\apps\\Python27\\

C:\\Program Files\\QGIS Essen\\apps\\Python27\\Lib\\

C:\\Program Files\\QGIS Essen\\apps\\Python27\\Lib\\site-packages
C:\\Program Files\\QGIS Essen\\bin

C:\\Program Files\\QGIS Essen\\include

C:\\Program Files\\QGIS Essen\\apps\\qgis-Itr\\bin

But when | type from qgis.core import *, python tries to import qgis._core and fails with

ImportError: DLL load failed: The specified module could not be found

Having a look at the qgis/_core.pyd file with DependencyWalker produces the attached output image

History

#1 - 2017-01-05 08:41 AM - Raphael Dumas

Sorry, fired off this issue a little prematurely.

| resolved the import error by adding the following to my PATH variable.

C:\\Program Files\\QGIS Essen\\apps\\qgis-Itr\bin

C:\\Program Files\\QGIS Essen\\bin

Though | would highlight that just adding C:\\Program Files\QGIS Essen, as the documentation suggested, didn't work.
http://docs.qgis.org/2.14/en/docs/pyqgis_developer cookbook/intro.html#running-custom-applications

#2 - 2017-01-10 01:32 AM - Matthias Kuhn
- Status changed from Open to Closed
http://gis.stackexchange.com/a/223325/36886
http://docs.qgis.org/2.14/en/docs/pyqgis_developer_cookbook/intro.html#running-custom-applications

Thanks for posting this followup.

Would you mind improving the description in the cookbook?

It should be trivial to create a improvement proposal (pull request) using the online editor here:

https://github.com/qgis/QGIS-Documentation/blob/master/source/docs/pyqgis _developer cookbook/intro.rst

Thank you in advance!
